Debian Bug report logs - #685810
partial upgrade from 3.0.3 fails if no procps installed

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Fri, 24 Aug 2012 18:51:02 UTC

Severity: normal

Tags: wontfix

Found in versions live-tools/3.0.9-1, live-tools/3.0.12-1

Fixed in version live-tools/3.0.13-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685810; Package live-tools. (Fri, 24 Aug 2012 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Aug 2012 18:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-tools: fails to upgrade from testing - diversion conflict
Date: Fri, 24 Aug 2012 20:47:23 +0200
[Message part 1 (text/plain, inline)]
Package: live-tools
Version: 3.0.9-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'testing'.
It installed fine in 'testing', then the upgrade to 'sid' fails.

>From the attached log (scroll to the bottom...):

  Preparing to replace live-tools 3.0.3-1 (using .../live-tools_3.0.9-1_all.deb) ...
  dpkg-divert: error: `diversion of /usr/bin/uptime to /usr/bin/uptime.orig.procps by live-tools' clashes with `diversion of /usr/bin/uptime to /usr/bin/uptime.procps by live-tools'
  dpkg: error processing /var/cache/apt/archives/live-tools_3.0.9-1_all.deb (--unpack):
   subprocess new pre-installation script returned error exit status 2


cheers,

Andreas
[live-tools_3.0.9-1.log.gz (application/x-gzip, attachment)]

Marked as found in versions live-tools/3.0.9-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 14 Sep 2012 19:24:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 24 Sep 2012 08:51:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 24 Sep 2012 08:51:05 GMT) Full text and rfc822 format available.

Message #12 received at 685810-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685810-close@bugs.debian.org
Subject: Bug#685810: fixed in live-tools 3.0.10-1
Date: Mon, 24 Sep 2012 08:48:16 +0000
Source: live-tools
Source-Version: 3.0.10-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 Sep 2012 10:30:48 +0200
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Debian Live - System Support Scripts
Closes: 685810
Changes: 
 live-tools (3.0.10-1) unstable; urgency=low
 .
   * Removing old diversion from live-tools 3.0.3 on upgrade (Closes:
     #685810).
   * Adding Catalan to automatic date translation in manpages.
   * Adding rewritten live-update-initramfs-uuid from live-boot.
Checksums-Sha1: 
 e37e865ce0f9e4da0109a767df8f44c64ea6e6a4 1266 live-tools_3.0.10-1.dsc
 c8dace85537e5a9b896a422aa0668541e3597fb6 19628 live-tools_3.0.10.orig.tar.xz
 aeceba7ba3152149d38efe97e22580415bbb2faa 4304 live-tools_3.0.10-1.debian.tar.xz
 57bfe2d61e1437ef53ba337f647bc72e3dd4d3b8 13050 live-tools_3.0.10-1_all.deb
Checksums-Sha256: 
 8fed9e1d965cabb7e2bea81419f13e0f6c23dc86a0ca8c356dfca9a24ab3a479 1266 live-tools_3.0.10-1.dsc
 ed66d37f56a0661936c0251254dfee3af9dbca6c638f7016b3cb6207a6f28101 19628 live-tools_3.0.10.orig.tar.xz
 ee9a2a932830686a0e81178a9430f9394d2a7369be6037c3685d2cc9d50a316f 4304 live-tools_3.0.10-1.debian.tar.xz
 b2f9bb730ad0af5dad55cd2196a9f7ac012363bc53a5e1d9c8b90c75c1c5d225 13050 live-tools_3.0.10-1_all.deb
Files: 
 33583bfe67970c3628cce5457e5d7ba9 1266 misc optional live-tools_3.0.10-1.dsc
 d607b41a91f466326c5ca5c7669c3ed2 19628 misc optional live-tools_3.0.10.orig.tar.xz
 7d882d0a1be738cf4dd6e8f2a387f4f5 4304 misc optional live-tools_3.0.10-1.debian.tar.xz
 3444579f8f64519fc09a3f4a1411349d 13050 misc optional live-tools_3.0.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlBgG5IACgkQ+C5cwEsrK54RogCg2dq24kOREOnJzrYJueiEc/nr
7xsAn0LQRaXNafcyKp8UW/aXCgQvLfKl
=57zr
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685810; Package live-tools. (Thu, 11 Oct 2012 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 11 Oct 2012 09:03:04 GMT) Full text and rfc822 format available.

Message #17 received at 685810@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <685810@bugs.debian.org>
Subject: Re: live-tools: fails to upgrade from testing - diversion conflict
Date: Thu, 11 Oct 2012 10:58:49 +0200
[Message part 1 (text/plain, inline)]
Package: live-tools
Followup-For: Bug #685810
Control: found -1 3.0.12-1

Hi,

upgrades from testing still (or again) do not work:

  Preparing to replace live-tools 3.0.3-1 (using .../live-tools_3.0.12-1_all.deb) ...
  dpkg-divert: error: `diversion of /usr/bin/uptime to /usr/bin/uptime.orig.procps by live-tools' clashes with `diversion of /usr/bin/uptime to /usr/bin/uptime.procps by live-tools'
  dpkg: error processing /var/cache/apt/archives/live-tools_3.0.12-1_all.deb (--unpack):
   subprocess new pre-installation script returned error exit status 2
  Errors were encountered while processing:
   /var/cache/apt/archives/live-tools_3.0.12-1_all.deb


Andreas
[live-tools_3.0.12-1.log.gz (application/x-gzip, attachment)]

Marked as found in versions live-tools/3.0.12-1 and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to 685810-submit@bugs.debian.org. (Thu, 11 Oct 2012 09:03:04 GMT) Full text and rfc822 format available.

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Tue, 23 Oct 2012 07:45:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 23 Oct 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #24 received at 685810-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 685810-done@bugs.debian.org
Subject: Re: Bug#685810: live-tools: fails to upgrade from testing - diversion conflict
Date: Tue, 23 Oct 2012 09:41:33 +0200
On 10/11/2012 10:58 AM, Andreas Beckmann wrote:
> upgrades from testing still (or again) do not work:

i don't think so.

---snip---
(sid_i386)root@debian:/home/user# wget -q
http://live.debian.net/archive/packages/live-tools/3.0.3-1/live-tools_3.0.3-1_all.deb
(sid_i386)root@server:/home/user# dpkg -i live-tools_3.0.3-1_all.deb
Selecting previously unselected package live-tools.
(Reading database ... 25678 files and directories currently installed.)
Unpacking live-tools (from live-tools_3.0.3-1_all.deb) ...
Setting up live-tools (3.0.3-1) ...
Processing triggers for man-db ...
(sid_i386)root@debian:/home/user# apt-get upgrade -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  live-tools
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.1 kB of archives.
After this operation, 47.1 kB of additional disk space will be used.
Get:1 http://ftp.ch.debian.org/debian/ sid/main live-tools all 3.0.12-1
[13.1 kB]
Fetched 13.1 kB in 0s (436 kB/s)
(Reading database ... 25695 files and directories currently installed.)
Preparing to replace live-tools 3.0.3-1 (using
.../live-tools_3.0.12-1_all.deb) ...
Unpacking replacement live-tools ...
Processing triggers for man-db ...
Setting up live-tools (3.0.12-1) ...
(sid_i386)root@debian:/home/user#
---snap---

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685810; Package live-tools. (Tue, 23 Oct 2012 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 23 Oct 2012 09:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 685810@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 685810@bugs.debian.org
Subject: Re: Bug#685810: marked as done (live-tools: fails to upgrade from testing - diversion conflict)
Date: Tue, 23 Oct 2012 06:27:19 -0300
New steps to reproduce. In a clean wheezy chroot:

# apt-get install live-tools
Selecting previously unselected package live-tools.
(Reading database ... 9863 files and directories currently installed.)
Unpacking live-tools (from .../live-tools_3.0.3-1_all.deb) ...
Processing triggers for man-db ...
Setting up live-tools (3.0.3-1) ...
# dpkg-divert --list | grep live-tools
diversion of /usr/bin/uptime to /usr/bin/uptime.procps by live-tools
# ls -l /usr/bin/uptime*
lrwxrwxrwx 1 root root   11 Jul  5 15:08 /usr/bin/uptime -> live-uptime
-rwxr-xr-x 1 root root 9636 Jun 17 09:13 /usr/bin/uptime.procps
# echo deb http://ftp.us.debian.org/debian sid main >> \
	/etc/apt/sources.list
# apt-get update
...
# apt-get install -t sid live-tools
...
Preparing to replace live-tools 3.0.3-1 (using
.../live-tools_3.0.12-1_all.deb) ...
Unpacking replacement live-tools ...
Processing triggers for man-db ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up live-tools (3.0.12-1) ...
# dpkg-divert --list | grep live-tools
diversion of /usr/sbin/update-initramfs to
/usr/sbin/update-initramfs.orig.initramfs-tools by live-tools
diversion of /usr/share/man/man8/update-initramfs.8.gz to
/usr/share/man/man8/update-initramfs.orig.initramfs-tools.8.gz by live-tools
diversion of /usr/share/man/man1/uptime.1.gz to
/usr/share/man/man1/uptime.orig.procps.1.gz by live-tools
diversion of /usr/bin/uptime to /usr/bin/uptime.orig.procps by live-tools
# ls -l /usr/bin/uptime*
lrwxrwxrwx 1 root root 16 Sep 30 15:19 /usr/bin/uptime -> /bin/live-uptime

Unfortunately, at this point uptime is broken because the original
diverted file is gone. Now if we purge live-tools and reinstall from wheezy:

# dpkg --purge live-tools
...
# dpkg-divert --list | grep live-tools
# ls -l /usr/bin/uptime*
ls: cannot access /usr/bin/uptime*: No such file or directory
# apt-get install -t wheezy live-tools
...
Selecting previously unselected package live-tools.
(Reading database ... 9863 files and directories currently installed.)
Unpacking live-tools (from .../live-tools_3.0.3-1_all.deb) ...
Processing triggers for man-db ...
Setting up live-tools (3.0.3-1) ...

And finally, upgrade it to sid, we get the reported error:

# apt-get install -t sid live-tools
...
Preparing to replace live-tools 3.0.3-1 (using
.../live-tools_3.0.12-1_all.deb) ...
dpkg-divert: error: `diversion of /usr/bin/uptime to
/usr/bin/uptime.orig.procps by live-tools' clashes with `diversion of
/usr/bin/uptime to /usr/bin/uptime.procps by live-tools'
dpkg: error processing
/var/cache/apt/archives/live-tools_3.0.12-1_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/live-tools_3.0.12-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

So yes, this bug needs to remain open, and also we need to solve the
damage being done to /usr/bin/uptime from the procps package if
live-tools 3.0.3-1 is upgraded to 3.0.12-1.

Ben



Bug reopened Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 23 Oct 2012 09:33:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions live-tools/3.0.10-1. Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Tue, 23 Oct 2012 09:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685810; Package live-tools. (Tue, 23 Oct 2012 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 23 Oct 2012 12:18:03 GMT) Full text and rfc822 format available.

Message #38 received at 685810@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Cc: 685810@bugs.debian.org
Subject: Re: Bug#685810: marked as done (live-tools: fails to upgrade from testing - diversion conflict)
Date: Tue, 23 Oct 2012 14:15:01 +0200
retitle 685810 partial upgrade from 3.0.3 fails if no procps installed
severity 685810 normal
tag 685810 wontfix
thanks

On 10/23/2012 11:27 AM, Ben Armstrong wrote:
> New steps to reproduce. In a clean wheezy chroot:

'clean' as in 'no procps installed before live-tools'. the problem is a
faulty live-tools/3.0.3 postrm, and that one we can't fix in sid. it
would require fixing live-tools in wheezy first, which is pointless.

> So yes, this bug needs to remain open, and also we need to solve the
> damage being done to /usr/bin/uptime from the procps package if
> live-tools 3.0.3-1 is upgraded to 3.0.12-1.

there are no issues anymore except this minor one (upgrade without
procps installed first) remains. minor because a) it's partial upgrade
issue only, and b) procps is priority important, so nobody in real world
will hit this anyway.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'partial upgrade from 3.0.3 fails if no procps installed' from 'live-tools: fails to upgrade from testing - diversion conflict' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 23 Oct 2012 12:18:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 23 Oct 2012 12:18:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 23 Oct 2012 12:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685810; Package live-tools. (Tue, 23 Oct 2012 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 23 Oct 2012 13:09:02 GMT) Full text and rfc822 format available.

Message #49 received at 685810@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 685810@bugs.debian.org
Subject: Re: Bug#685810: marked as done (live-tools: fails to upgrade from testing - diversion conflict)
Date: Tue, 23 Oct 2012 10:06:57 -0300
On 10/23/2012 09:15 AM, Daniel Baumann wrote:
> retitle 685810 partial upgrade from 3.0.3 fails if no procps installed
> severity 685810 normal
> tag 685810 wontfix
> thanks

I'm not interested in a game of bug ping-pong. I just want to ensure we
can move forward with live-* unblocks so we can finally get things
released. All that matters is to get things to a releasable state.
Regardless of how this bug is marked, I am not satisfied with the state
it is in.

> On 10/23/2012 11:27 AM, Ben Armstrong wrote:
>> New steps to reproduce. In a clean wheezy chroot:
> 
> 'clean' as in 'no procps installed before live-tools'.

No, that's not the case. "clean" as in, I did exactly this:

# debootstrap wheezy wheezy

This installs procps. I checked by redoing my test from scratch.

What follows is a verbatim log of steps to produce from a clean
debootstrap wheezy (all I did here was tar up the debootstrap
immediately afterwards and unpack it again to ensure it is clean):

synrg@lear:~/projects$ sudo chroot wheezy
root@lear:/# dpkg -l procps live-tools
Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                      Version           Architecture
Description
+++-=========================-=================-=================-=======================================================
ii  procps                    1:3.3.3-2         i386              /proc
file system utilities
dpkg-query: no packages found matching live-tools
root@lear:/# mount -t proc proc /proc
root@lear:/# mount -t sysfs sys /sys
root@lear:/# export LC_ALL=C
root@lear:/# apt-get install live-tools
Reading package lists... Done
Building dependency tree... Done
Suggested packages:
  debian-installer-launcher perl rsync
The following NEW packages will be installed:
  live-tools
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 7622 B of archives.
After this operation, 72.7 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  live-tools
Install these packages without verification [y/N]? y
Get:1 http://ftp.us.debian.org/debian/ wheezy/main live-tools all
3.0.3-1 [7622 B]
Fetched 7622 B in 0s (22.9 kB/s)
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package live-tools.
(Reading database ... 9285 files and directories currently installed.)
Unpacking live-tools (from .../live-tools_3.0.3-1_all.deb) ...
Processing triggers for man-db ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up live-tools (3.0.3-1) ...
root@lear:/# echo deb http://ftp.us.debian.org/debian sid main >>
/etc/apt/sources.list
root@lear:/# apt-get update
Get:1 http://ftp.us.debian.org wheezy InRelease [208 kB]
Get:2 http://ftp.us.debian.org sid InRelease [219 kB]
Get:3 http://ftp.us.debian.org wheezy/main i386 Packages/DiffIndex [7876 B]
Get:4 http://ftp.us.debian.org wheezy/main Translation-en [3907 kB]
Get:5 http://ftp.us.debian.org sid/main i386 Packages [6202 kB]
Get:6 http://ftp.us.debian.org sid/main Translation-en [4069 kB]
Fetched 14.6 MB in 30s (484 kB/s)
Reading package lists... Done
root@lear:/# apt-get install -t sid live-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  debian-installer-launcher perl rsync uuid-runtime
The following packages will be upgraded:
  live-tools
1 upgraded, 0 newly installed, 0 to remove and 30 not upgraded.
Need to get 13.1 kB of archives.
After this operation, 47.1 kB of additional disk space will be used.
Get:1 http://ftp.us.debian.org/debian/ sid/main live-tools all 3.0.12-1
[13.1 kB]
Fetched 13.1 kB in 0s (29.4 kB/s)
Can not write log, openpty() failed (/dev/pts not mounted?)
(Reading database ... 9303 files and directories currently installed.)
Preparing to replace live-tools 3.0.3-1 (using
.../live-tools_3.0.12-1_all.deb) ...
Unpacking replacement live-tools ...
Processing triggers for man-db ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up live-tools (3.0.12-1) ...
root@lear:/# dpkg --purge live-tools
(Reading database ... 9317 files and directories currently installed.)
Removing live-tools ...
Purging configuration files for live-tools ...
Processing triggers for man-db ...
root@lear:/# ls -la /usr/bin/uptime*
ls: cannot access /usr/bin/uptime*: No such file or directory

At this point, procps is *broken* as /usr/bin/uptime is gone. That's not
a "minor" issue. Anyone with live-tools installed on their build boxes
who upgrades to 3.0.12-1 will end up with no original procps
/usr/bin/uptime, and nothing will fix that except reinstalling procps.
This is not some strange corner case that will not happen in the "real
world". It's going to break a certain percentage of real world installs
that exist out there today.

Ben



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 07 Nov 2012 14:51:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 07 Nov 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #54 received at 685810-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685810-close@bugs.debian.org
Subject: Bug#685810: fixed in live-tools 3.0.13-1
Date: Wed, 07 Nov 2012 14:48:19 +0000
Source: live-tools
Source-Version: 3.0.13-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Nov 2012 15:14:24 +0100
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0.13-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Live System Support Scripts
Closes: 685810
Changes: 
 live-tools (3.0.13-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating file paths for /lib/live/mount.
   * Renaming /lib/live/mount/image to /lib/live/mount/medium.
   * Updating package description.
   * Adding note about wrappers that replace existing commands in live-
     tools manpage, thanks to Ben Armstrong
     <synrg@sanctuary.nslug.ns.ca>.
   * Adding dedicated manpage for live-uptime.
   * Adding dedicated manpage for live-update-initramfs.
   * Synchronising po headers for manpage translations.
   * Improving a bunch of formating and typo issues in manpages.
 .
   [ Ben Armstrong ]
   * Improving manpage wording.
 .
   [ Daniel Baumann ]
   * Making wording in live-update-initramfs a bit more precise wrt/ what
     files are being taken care of.
   * And another manpage typo fixed.
 .
   [ Ben Armstrong ]
   * Fixing cleanup of diversion by old live-tools. (Closes: #685810)
 .
   [ chals ]
   * Running make rebuild to update the dates.
   * Updating the Spanish translation of the man pages.
   * Updating the Catalan translation of the man pages.
 .
   [ Daniel Baumann ]
   * Adjusting coding style in preinst when removing divertions.
 .
   [ chals ]
   * Updating the French translation of the man pages.
Checksums-Sha1: 
 c9fdbec85d6881dafc7273d505fe818ee6ecbea6 1266 live-tools_3.0.13-1.dsc
 477ffd96c15a11f7d2b59d7994f702df339e705d 23660 live-tools_3.0.13.orig.tar.xz
 fb04e430aca5c9e4a5f4d6a2f59cf5e125a0dc68 4788 live-tools_3.0.13-1.debian.tar.xz
 01167303e16a575da82382adf3654ba1d8202b52 23686 live-tools_3.0.13-1_all.deb
Checksums-Sha256: 
 bf2f64fdb37724dba195cc048b7e7967323395d8a6ab08c2bdc46bc03bde134e 1266 live-tools_3.0.13-1.dsc
 94a3e7e872429c52621c50bb2ccfe18a734e9e53a3da51444eabbc49b9dd8172 23660 live-tools_3.0.13.orig.tar.xz
 97927640d7c6b6b4ec4c4a04354090686d11823868c8a77767ea3c19b6610890 4788 live-tools_3.0.13-1.debian.tar.xz
 756fe4f039bb45c905dffdcd4ac6204332952ff4d00fc0c4c94c9095bd30c076 23686 live-tools_3.0.13-1_all.deb
Files: 
 964635b071ee5379a09958d326e0af5f 1266 misc optional live-tools_3.0.13-1.dsc
 49b13c349d469cb02e988e6c871b3e1b 23660 misc optional live-tools_3.0.13.orig.tar.xz
 beb0b973542805d8f4564fd6f70a433e 4788 misc optional live-tools_3.0.13-1.debian.tar.xz
 dc8220d2d1747acd7661320de5ca1a2e 23686 misc optional live-tools_3.0.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlCabUoACgkQ+C5cwEsrK57rZgCgmkQrRd437g4xB/zUgfV7qbV9
AAIAn2n/jRnaUtOtRyOO7JkIh01ergu7
=Vu3P
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Dec 2012 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:45:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.